summaryrefslogtreecommitdiffstats
path: root/package/base-files/brcm
diff options
context:
space:
mode:
authornbd <nbd@3c298f89-4303-0410-b956-a3cf2f4a3e73>2006-11-22 23:27:29 +0000
committernbd <nbd@3c298f89-4303-0410-b956-a3cf2f4a3e73>2006-11-22 23:27:29 +0000
commit356535ffd7bc1343ce6bc2fc367f788cc2c1bd24 (patch)
treedc8d648372e516e754590075b43f0dba98df8546 /package/base-files/brcm
parent6f447d09dfa4c4ee2321f327c5b62e79db3f9173 (diff)
move platform specific base-files into target/linux/<targetname>
git-svn-id: svn://svn.openwrt.org/openwrt/trunk@5621 3c298f89-4303-0410-b956-a3cf2f4a3e73
Diffstat (limited to 'package/base-files/brcm')
-rwxr-xr-xpackage/base-files/brcm/bin/firstboot128
-rw-r--r--package/base-files/brcm/etc/diag.sh28
-rwxr-xr-xpackage/base-files/brcm/etc/init.d/done15
-rwxr-xr-xpackage/base-files/brcm/etc/init.d/netconfig98
-rwxr-xr-xpackage/base-files/brcm/etc/preinit74
-rwxr-xr-xpackage/base-files/brcm/sbin/hotplug.failsafe4
-rwxr-xr-xpackage/base-files/brcm/sbin/mount_root31
7 files changed, 0 insertions, 378 deletions
diff --git a/package/base-files/brcm/bin/firstboot b/package/base-files/brcm/bin/firstboot
deleted file mode 100755
index c3d9a64b8..000000000
--- a/package/base-files/brcm/bin/firstboot
+++ /dev/null
@@ -1,128 +0,0 @@
-#!/bin/sh
-# $Id$
-. /etc/functions.sh
-
-partname="OpenWrt"
-mtdpart="$(find_mtd_part $partname)"
-
-rom=$(awk '/squashfs/ {print $2}' /proc/mounts)
-jffs=$(awk '/jffs2/ {print $2}' /proc/mounts)
-
-dupe() { # <new_root> <old_root>
- cd $1
- echo -n "creating directories... "
- {
- cd $2
- find . -xdev -type d
- echo "./dev ./jffs ./mnt ./proc ./tmp"
- # xdev skips mounted directories
- cd $1
- } | xargs mkdir -p
- echo "done"
-
- echo -n "setting up symlinks... "
- for file in $(cd $2; find . -xdev -type f;); do
- case "$file" in
- ./rom/note) ;; #nothing
- ./etc/config*|\
- ./usr/lib/ipkg/info/*) cp -af $2/$file $file;;
- *) ln -sf /rom/${file#./*} $file;;
- esac
- done
- for file in $(cd $2; find . -xdev -type l;); do
- cp -af $2/${file#./*} $file
- done
- echo "done"
-}
-
-pivot() { # <new_root> <old_root>
- mount -o move /proc $1/proc && \
- pivot_root $1 $1$2 && {
- mount -o move $2/dev /dev
- mount -o move $2/tmp /tmp
- mount -o move $2/jffs /jffs 2>&-
- return 0
- }
-}
-
-fopivot() { # <rw_root> <ro_root> <dupe?>
- root=$1
- {
- mount -t mini_fo -o base=/,sto=$1 $1 /mnt 2>&- && root=/mnt
- } || {
- [ "$3" = "1" ] && {
- mount | grep "on $1 type" 2>&- 1>&- || mount -o bind $1 $1
- dupe $1 $rom
- }
- }
- pivot $root $2
-}
-
-ramoverlay() {
- mkdir -p /tmp/root
- fopivot /tmp/root /rom 1
-}
-
-# invoked as an executable
-[ "${0##*/}" = "firstboot" ] && {
-
- [ -z "$mtdpart" ] && {
- echo "MTD partition not found."
- exit 1
- }
-
- [ -z "$rom" ] && {
- echo "You do not have a squashfs partition; aborting"
- echo "(firstboot cannot be run on jffs2 based firmwares)"
- exit 1
- }
-
- [ "$1" = "switch2jffs" ] && {
- mtd erase "$partname"
-
- # try to avoid fs changing while copying
- mount -o remount,ro none / 2>&-
-
- # copy ramoverlay to jffs2
- mount "$mtdpart" /rom/jffs -t jffs2
- echo -n "copying files ... "
- cp -a /tmp/root/* /rom/jffs 2>&-
- echo "done"
-
- # switch back to squashfs (temporarily)
- # and park the ramdisk ontop of /tmp/root
- pivot /rom /mnt
- mount -o move /mnt /tmp/root
-
- # /jffs is the overlay
- # /rom is the readonly
- fopivot /jffs /rom
-
- # try to get rid of /tmp/root
- # this will almost always fail
- umount /tmp/root 2>&-
-
- # fs is clean
- jffs2root --clean
- exit 0
- }
-
- # script run manually
- [ \! -z "$jffs" ] && {
- echo "firstboot has already been run"
- echo "jffs2 partition is mounted, only resetting files"
- grep mini_fo /proc/filesystems >&-
- [ $? != 0 ] && {
- dupe $jffs $rom
- exit 0
- } || {
- rm -rf $jffs/* 2>&-
- mount -o remount $jffs / 2>&-
- exit 0
- }
- }
-
- mtd erase "$partname"
- mount "$mtdpart" /jffs -t jffs2
- fopivot /jffs /rom 1
-}
diff --git a/package/base-files/brcm/etc/diag.sh b/package/base-files/brcm/etc/diag.sh
deleted file mode 100644
index 3b08554c6..000000000
--- a/package/base-files/brcm/etc/diag.sh
+++ /dev/null
@@ -1,28 +0,0 @@
-#!/bin/sh
-# Copyright (C) 2006 OpenWrt.org
-
-set_led() {
- local led="$1"
- local state="$2"
- [ -f "/proc/diag/led/$1" ] && echo "$state" > "/proc/diag/led/$1"
-}
-
-set_state() {
- case "$1" in
- preinit)
- set_led dmz 1
- set_led diag 1
- set_led power 0
- ;;
- failsafe)
- set_led diag f
- set_led power f
- set_led dmz f
- ;;
- done)
- set_led dmz 0
- set_led diag 0
- set_led power 1
- ;;
- esac
-}
diff --git a/package/base-files/brcm/etc/init.d/done b/package/base-files/brcm/etc/init.d/done
deleted file mode 100755
index 0640b6193..000000000
--- a/package/base-files/brcm/etc/init.d/done
+++ /dev/null
@@ -1,15 +0,0 @@
-#!/bin/sh /etc/rc.common
-# Copyright (C) 2006 OpenWrt.org
-
-START=95
-boot() {
- [ -d /tmp/root ] && {
- lock /tmp/.switch2jffs
- firstboot switch2jffs
- lock -u /tmp/.switch2jffs
- }
-
- # set leds to normal state
- . /etc/diag.sh
- set_state done
-}
diff --git a/package/base-files/brcm/etc/init.d/netconfig b/package/base-files/brcm/etc/init.d/netconfig
deleted file mode 100755
index fe39f5051..000000000
--- a/package/base-files/brcm/etc/init.d/netconfig
+++ /dev/null
@@ -1,98 +0,0 @@
-#!/bin/sh /etc/rc.common
-# Copyright (C) 2006 OpenWrt.org
-
-START=05
-
-start() {
- [ -e /etc/config/network ] && exit 0
-
- mkdir -p /etc/config
-
- (
- if grep -E 'mtd0: 000(6|a)0000' /proc/mtd 2>&- >&-; then
- # WGT634u
- echo boardtype=wgt634u
- else
- strings /dev/mtdblock/3
- fi
- ) | awk '
- function p(cfgname, name) {
- if (c[name] != "") print " option " cfgname " \"" c[name] "\""
- }
-
- BEGIN {
- FS="="
- c["lan_ifname"]="eth0.0"
- c["wan_ifname"]="eth0.1"
- c["vlan0ports"]="1 2 3 4 5*"
- c["vlan1ports"]="0 5"
- }
-
- ($1 == "boardnum") || ($1 == "boardtype") || ($1 == "boardflags") {
- nvram[$1] = $2
- }
-
- END {
- # v1 hardware
- if (nvram["boardtype"] == "bcm94710dev") {
- # Asus WL-500g
- if (nvram["boardnum"] == "asusX") {
- c["lan_ifname"]="eth0 eth1" # FIXME
- c["wan_ifname"]=""
- }
- }
- if (nvram["boardtype"] == "bcm94710r4") {
- # Toshiba WRC-1000
- c["lan_ifname"] = "eth0"
- c["wan_ifname"] = "eth1"
- }
- if (nvram["boardtype"] == "wgt634u") {
- c["vlan0ports"] = "0 1 2 3 5*"
- c["vlan1ports"] = "4 5"
- }
- if ((nvram["boardtype"] == "0x0467") || (nvram["boardtype"] == "0x042f")) {
- if (nvram["boardnum"] == "45") {
- c["vlan0ports"] = "1 2 3 4 5*"
- c["vlan1ports"] = "0 5"
- } else {
- c["vlan0ports"] = "0 1 2 3 5*"
- c["vlan1ports"] = "4 5"
- }
- }
-
- # WAP54G
- if ((nvram["boardnum"] == "2") || \
- (nvram["boardnum"] == "1024")) {
- c["lan_ifname"]="eth0"
- c["wan_ifname"]=""
- }
-
- print "#### VLAN configuration "
- print "config switch eth0"
- p("vlan0", "vlan0ports")
- p("vlan1", "vlan1ports")
- print ""
- print ""
- print "#### Loopback configuration"
- print "config interface loopback"
- print " option ifname \"lo\""
- print " option proto static"
- print " option ipaddr 127.0.0.1"
- print " option netmask 255.0.0.0"
- print ""
- print ""
- print "#### LAN configuration"
- print "config interface lan"
- print " option type bridge"
- p("ifname", "lan_ifname")
- print " option proto static"
- print " option ipaddr 192.168.1.1"
- print " option netmask 255.255.255.0"
- print ""
- print ""
- print "#### WAN configuration"
- print "config interface wan"
- p("ifname", "wan_ifname")
- print " option proto dhcp"
- }' > /etc/config/network
-}
diff --git a/package/base-files/brcm/etc/preinit b/package/base-files/brcm/etc/preinit
deleted file mode 100755
index 30aed3551..000000000
--- a/package/base-files/brcm/etc/preinit
+++ /dev/null
@@ -1,74 +0,0 @@
-#!/bin/sh
-# Copyright (C) 2006 OpenWrt.org
-
-. /etc/functions.sh
-. /etc/diag.sh
-
-failsafe() {
- lock /tmp/.failsafe
-
- echo "0 1 2 3 4 5u*" > /proc/switch/eth0/vlan/0/ports
-
- set_state failsafe
- [ -x "/usr/sbin/nvram" ] && {
- [ "$(nvram get boot_wait)" != "on" ] && {
- nvram set boot_wait=on
- nvram commit
- }
- }
-
- netmsg 192.168.1.255 "Entering Failsafe!"
- telnetd -l /bin/login <> /dev/null 2>&1
-
- ash --login
- lock -u /tmp/.failsafe
-}
-
-export PATH=/bin:/sbin:/usr/bin:/usr/sbin
-mount none /proc -t proc
-size=$(awk '/Mem:/ {l=5242880;print((s=$2/2)<l)?$2-l:s}' /proc/meminfo)
-mount none /tmp -t tmpfs -o size=$size
-
-insmod diag
-set_state preinit
-trap 'FAILSAFE=true' USR1
-echo '/sbin/hotplug.failsafe' > /proc/sys/kernel/hotplug
-
-ifname=eth0
-
-# hardware specific overrides
-case "$(cat /proc/diag/model)" in
- "Linksys WAP54G V1") ifname=eth1;;
- "ASUS WL-HDD") ifname=eth1;;
- "ASUS WL-300g") ifname=eth1;;
- "ASUS (unknown, BCM4702)") ifname=eth1;;
-esac
-
-insmod switch-core
-insmod switch-robo || insmod switch-adm || rmmod switch-core
-
-ifconfig $ifname 192.168.1.1 netmask 255.255.255.0 broadcast 192.168.1.255 up
-
-[ -d /proc/switch/eth0 ] && {
- echo 1 > /proc/switch/eth0/reset
-
- # this would be easier if we blasted the message across all ports
- # but we don't want packets leaking across interfaces
- for port in $(seq 0 4); do {
- echo "$port 5u*" > /proc/switch/eth0/vlan/0/ports
- netmsg 192.168.1.255 "Press reset now, to enter Failsafe!"
- }; done
-} || netmsg 192.168.1.255 "Press reset now, to enter Failsafe!"
-
-sleep 2
-
-eval ${FAILSAFE:+failsafe}
-
-lock -w /tmp/.failsafe
-set_state preinit
-echo /sbin/hotplug > /proc/sys/kernel/hotplug
-
-ifconfig $ifname 0.0.0.0 down
-
-mount_root
-exec /sbin/init
diff --git a/package/base-files/brcm/sbin/hotplug.failsafe b/package/base-files/brcm/sbin/hotplug.failsafe
deleted file mode 100755
index 0544339de..000000000
--- a/package/base-files/brcm/sbin/hotplug.failsafe
+++ /dev/null
@@ -1,4 +0,0 @@
-#!/bin/sh
-case "$1" in
- button) kill -USR1 1;;
-esac
diff --git a/package/base-files/brcm/sbin/mount_root b/package/base-files/brcm/sbin/mount_root
deleted file mode 100755
index ffa6072c6..000000000
--- a/package/base-files/brcm/sbin/mount_root
+++ /dev/null
@@ -1,31 +0,0 @@
-#!/bin/sh
-# Copyright (C) 2006 OpenWrt.org
-
-is_dirty() {
- grep Broadcom /proc/cpuinfo >&- || return 1
- OFFSET="$(($(hexdump -v /dev/mtdblock/1 -s 20 -n 2 -e '"%d"')-1))"
- return $(hexdump -v /dev/mtdblock/1 -s $OFFSET -n 1 -e '"%d"')
-}
-
-if [ "$1" != "failsafe" ]; then
- mtd unlock linux
- mount | grep jffs2 >&-
- if [ $? = 0 ] ; then
- mount -o remount,rw /dev/root /
- else
- . /bin/firstboot
- is_dirty
- [ $? != 0 ] && {
- echo "switching to jffs2"
- mount /dev/mtdblock/4 /jffs -t jffs2
- fopivot /jffs /rom
- } || {
- echo "jffs2 not ready yet; using ramdisk"
- ramoverlay
- }
- fi
-fi
-
-mkdir -p /dev/pts
-mount none /dev/pts -t devpts 2>&-
-grep sysfs /proc/filesystems >/dev/null && mount -t sysfs none /sys 2>&-